Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.management
Interface AddressControl

    public interface AddressControl

An AddressControl is used to manage an address.

Author:
  Jeff Mesnil

Method Summary
`String` | `getAddress()` Returns the managed address.
`String[]` | `getBindingNames()` Returns the names of all bindings (both queues and diverts) bound to this address
`long` | `getNumberOfBytesPerPage()` Returns the number of bytes used by each page for this address.
`int` | `getNumberOfPages()` Returns the number of pages used by this address.
`String[]` | `getQueueNames()` Returns the names of the queues bound to this address.
`Object[]` | `getRoles()` Returns the roles (name and permissions) associated to this address.
`String` | `getRolesAsJSON()` Returns the roles (name and permissions) associated to this address using JSON serialization.
`boolean` | `isPaging()`

Method Detail

### getAddress

    String getAddress()

  Returns the managed address.

### getRoles

    Object[] getRoles()
                      throws Exception

  Returns the roles (name and permissions) associated to this address.

  Throws:
    `Exception`

### getRolesAsJSON

    String getRolesAsJSON()
                          throws Exception

  Returns the roles (name and permissions) associated to this address using JSON serialization.
  Java objects can be recreated from JSON serialization using `RoleInfo.from(String)`.

  Throws:
    `Exception`

### getQueueNames

    String[] getQueueNames()
                           throws Exception

  Returns the names of the queues bound to this address.

  Throws:
    `Exception`

### getNumberOfPages

    int getNumberOfPages()
                         throws Exception

  Returns the number of pages used by this address.

  Throws:
    `Exception`

### isPaging

    boolean isPaging()
                     throws Exception

  Throws:
    `Exception`

### getNumberOfBytesPerPage

    long getNumberOfBytesPerPage()
                                 throws Exception

  Returns the number of bytes used by each page for this address.

  Throws:
    `Exception`

### getBindingNames

    String[] getBindingNames()
                             throws Exception

  Returns the names of all bindings (both queues and diverts) bound to this address

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.